package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunCompanyDO;
import org.springframework.stereotype.Repository;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/27 5:36 下午
 */
@Repository
public interface ChuanyunCompanyDao extends GalaxisRepository<ChuanyunCompanyDO,String> {

    /**
     * 根据id获取详情
     * @param id
     * @return
     */
    ChuanyunCompanyDO findByObjectId(String id);

    ChuanyunCompanyDO findByCompanyName(String companyname);
}
