package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

/**
 * 测试类，用于测试接口传输速度
 * @author zcj
 * @version 0.1
 * @date 2021/3/6 5:24 上午
 */
@EqualsAndHashCode(callSuper = true)
@Slf4j
@Data
@Entity(name = "API_TEST")
public class ApiTestDO extends BasicDO{


    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789api_test";

    @JsonProperty(value = "F0000001")
    private String a;
    @JsonProperty(value = "F0000002")
    private String b;
    @JsonProperty(value = "F0000003")
    private String c;
    @JsonProperty(value = "F0000004")
    private String d;
    @JsonProperty(value = "F0000005")
    private String e;
    @JsonProperty(value = "F0000006")
    private String f;
}
