package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import java.util.List;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_ATTACHMENT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunAttachmentDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789cea86f1498ff41609385ef7390053e56";

    @JsonProperty("F0000001")
    private String projectId;

    @JsonProperty("F0000011")
    private String projectCode;

    @JsonProperty("D001789F04b79f0c4b174fa6b482dc624c8124ae")
    @OneToMany(cascade = CascadeType.ALL, orphanRemoval = true)
    List<ChuanyunAttachmentDetailDO> list;
}
