package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_ATTACHMENT_DETAIL")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunAttachmentDetailDO extends BasicSubDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789F04b79f0c4b174fa6b482dc624c8124ae";


    @JsonProperty("F0000002")
    private String materialCode;

    @JsonProperty("F0000008")
    private String photo;

    @JsonProperty("F0000016")
    private String materialName;

    @JsonProperty("F0000009")
    private String englishName;

    @JsonProperty("F0000006")
    private String PartsOwnership;

    @JsonProperty("F0000003")
    private BigDecimal qty;

    @JsonProperty("F0000005")
    private String unit;

    @JsonProperty("F0000004")
    private BigDecimal UnitPricewithoutTax;

    @JsonProperty("F0000010")
    private String consumableParts;

    @JsonProperty("F0000007")
    private String remarks;

    @JsonProperty("F0000012")
    private String enclosureId;

    @JsonProperty("F0000013")
    private BigDecimal coefficient;

    @JsonProperty("F0000014")
    private BigDecimal exchangeRate;

    @JsonProperty("F0000015")
    private BigDecimal totalPrice;


}
