package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import javax.persistence.Id;
import java.time.LocalDateTime;

@Data
public class ChuanyunPurContractDTO {

    @Id
    private String docno;

    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime businessdate;

    private String orgname;

    private String opername;

    private String docname;

    private String projectcode;

}
