package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class ChuanyunSalesCollectionDetailDTO {

    private ChuanyunSalesCollectionDetailPrimaryKey chuanyunSalesCollectionDetailPrimaryKey;

    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime plandate;

    private BigDecimal planaccount;

    private BigDecimal planpercent;

    private String desnote;

    private String accountnote;
}
