package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;

import javax.persistence.Id;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class ChuanyunSalesContractDTO {

    private String docno;

    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime businessdate;

    private String orgname;

    private String createdby;

    private String deptcode;

    private String custname;

    private String projectcode;

    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    private LocalDateTime receivedate;

    private String contractname;

    private String contracttype;

    private String signaddress;

    private String ownercust;

    private String ownertrade;

    private String businessfrom;

    private String businesstype;

    private String contractsubtype;

    private String currencyname;

    private BigDecimal netmoney;

    private BigDecimal totalmoney;
}
