package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zcj
 * @version 0.1
 * @date 2021/3/6 10:23 上午
 */
@Data
public class ChuanyunWeekMemberHourDTO {
    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789Sffuni6ej7u55hkaw0xwj9nh22";

    @JsonProperty("F0000001")
    private String projectId;

    @JsonProperty("F0000002")
    private String userId;

    @JsonProperty("F0000003")
    private String projectType;

    @JsonProperty("F0000004")
    private BigDecimal totalHour;

    @JsonProperty("F0000005")
    private BigDecimal personDays;

    @JsonProperty("F0000008")
    private String year;

    @JsonProperty("F0000006")
    private String week;

    @JsonProperty("F0000007")
    private String status;

    /**
     * 部门信息
     */
    @JsonProperty("F0000009")
    private String departmentId;
}
