package com.galaxis.manatee.service.impl;

import com.galaxis.manatee.dao.ChuanyunUserDao;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunUserDO;
import com.galaxis.manatee.service.U9WorkMessageService;
import lombok.extern.slf4j.Slf4j;
import lombok.extern.slf4j.XSlf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * created by IntelliJ IDEA.
 * author: xuj
 * date: 2020/9/21
 */
@Service
@Slf4j
public class U9WorkMessageServiceImpl implements U9WorkMessageService {

    @Autowired
    private ChuanyunUserDao chuanyunUserDao;

    /**
     * 根据钉钉工号获取用户对象
     * @param employeeNumber  钉钉工号
     * @return 氚云对象
     */
    @Override
    public ChuanyunUserDO findByEmployeeNumber(String employeeNumber) {
        return chuanyunUserDao.findByEmployeeNumber(employeeNumber);
    }

}
