package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import java.util.List;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_PRODUCT_LIBRARY")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunProductLibraryDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789f021f2654b5b47b3b824ff413bc61194";

    @JsonProperty("F0000004")
    private String productModel;

    @JsonProperty("F0000010")
    private String productType;

    @JsonProperty("D001789F4d732f3541934286b97c21a1ea1e5398")
    @OneToMany(cascade = CascadeType.ALL, orphanRemoval = true,fetch = FetchType.EAGER)
    private List<ChuanyunProductLibrarySpecificationsDO> list;
}
