package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

@Slf4j
@Entity(name = "CHUANYUN_PRODUCT_LIBRARY_SPEC")
@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunProductLibrarySpecificationsDO extends BasicSubDO{

    @JsonProperty("F0000007")
    private String specName;

    @JsonProperty("F0000008")
    private String specValue;

    @JsonProperty("F0000009")
    private String specUnit;

    @JsonProperty("F0000013")
    private String remark;

}
