package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;

/**
 * 氚云-》开发应用-》项目工时汇总
 * @author kxuan
 *
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunProjectTotalCostDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789Sncj55ndcgpx1p2acy9tuimek7";

    /**
     * 项目ID
     */
    @JsonProperty("F0000001")
    private String projectId;

    /**
     * 项目类型
     */
    @JsonProperty("F0000004")
    private String projectType;

    /**
     * 工时
     */
    @JsonProperty("F0000003")
    private BigDecimal workHour;

    /**
     * 成本
     */
    @JsonProperty("F0000002")
    private BigDecimal cost;

}
