package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_PURCONTRACT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunPurContractDO extends BasicDO{

    public static final String SCHEMA_CODE ="D0017897b322a28f07249f2b8f082d176a64686";

    @JsonProperty("F0000010")
    private String contractCode;

    @JsonProperty("F0000011")
    private String contractName;
}
